/* guile-irrlicht --- GNU Guile bindings for Irrlicht Engine

   Copyright (C) 2020 Javier Sancho <jsf@jsancho.org>

   This file is part of guile-irrlicht.

   guile-irrlicht is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 3 of the
   License, or (at your option) any later version.

   guile-irrlicht is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with guile-irrlicht. If not, see
   <http://www.gnu.org/licenses/>.
*/

#ifndef __GUILE_IRRLICHT_MATERIAL_H_INCLUDED__
#define __GUILE_IRRLICHT_MATERIAL_H_INCLUDED__

#include <irrlicht/irrlicht.h>
#include <libguile.h>

void
init_material (void);

irr::video::E_ANTI_ALIASING_MODE
scm_to_anti_aliasing_mode (SCM anti_aliasing_mode);

irr::video::E_BLEND_OPERATION
scm_to_blend_operation (SCM blend_operation);

irr::video::E_COLOR_MATERIAL
scm_to_color_material (SCM color_material);

irr::video::E_COLOR_PLANE
scm_to_color_plane (SCM color_plane);

irr::video::E_COMPARISON_FUNC
scm_to_comparison_func (SCM comparison_func);

irr::video::E_POLYGON_OFFSET
scm_to_polygon_offset (SCM polygon_offset);

#endif
